import { h, Component, State, Prop } from "@stencil/core";
import * as hooks from "@saasquatch/stencil-hooks";
/**
 * @undocumented
 */
export class SqmHookStoryContainer {
  constructor() {
    this.ignored = true;
    hooks.withHooks(this);
  }
  disconnectedCallback() { }
  render() {
    const Story = this.hookStory;
    return h(Story, null);
  }
  static get is() { return "sqm-hook-story-container"; }
  static get properties() { return {
    "hookStory": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "FunctionalComponent",
        "resolved": "FunctionalComponent<{}>",
        "references": {
          "FunctionalComponent": {
            "location": "import",
            "path": "@stencil/core"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
  static get states() { return {
    "ignored": {}
  }; }
}
